<?php
/**
 * Class Custom_Fields
 *
 * @package mof-core
 */

namespace MOF\Core;

use \Carbon_Fields\Carbon_Fields;

defined( 'ABSPATH' ) || die();

/**
 * Custom_Fields Class
 */
class Custom_Fields {

	/**
	 * Custom_Fields constructor
	 */
	public function __construct() {

		\add_action( 'after_setup_theme', [ $this, 'load_carbon_fields' ] );
	}

	/**
	 * Load Carbon Fields
	 */
	public function load_carbon_fields() {

		require_once dirname( __FILE__ ) . '/vendor/autoload.php';
		Carbon_Fields::boot();

	}
}

new Custom_Fields();
